#
# spec file for package purple-bot-sentry
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   bot-sentry
Name:           purple-bot-sentry
Version:        1.3.0
Release:        2.26
Summary:        Libpurple plugin to prevent Instant Message spam
# LICENCE NOTE: COPYING says GPLv3+, but all files are GPLv2+ and the COPYING file comes from autotools magic (2012-01-19 -- vuntz).
License:        GPL-2.0+
Group:          Productivity/Networking/Instant Messenger
Url:            http://pidgin-bs.sourceforge.net/
Source:         http://downloads.sf.net/pidgin-bs/%{_name}-%{version}.tar.bz2
BuildRequires:  intltool
BuildRequires:  libpurple-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bot Sentry is a libpurple plug-in to prevent Instant Message spam.
It allows you to ignore IMs unless the sender is in your Buddy List
or Allow List, or the sender correctly answers a question you have
predefined.

%package -n libpurple-plugin-%{_name}
Summary:        Libpurple plugin to prevent Instant Message spam
Group:          Productivity/Networking/Instant Messenger
Recommends:     libpurple-plugin-%{_name}-lang
Enhances:       libpurple
# pidgin-bot-sentry was last used in openSUSE 12.1.
Provides:       pidgin-%{_name} = %{version}-%{release}
Obsoletes:      pidgin-%{_name} < %{version}-%{release}

%description -n libpurple-plugin-%{_name}
Bot Sentry is a libpurple plug-in to prevent Instant Message spam.
It allows you to ignore IMs unless the sender is in your Buddy List
or Allow List, or the sender correctly answers a question you have
predefined.

%lang_package -n libpurple-plugin-%{_name}

%prep
%setup -q -n %{_name}-%{version}

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%if 0%{?suse_version} < 1140
mv %{buildroot}%{_datadir}/locale/no %{buildroot}%{_datadir}/locale/nb
%endif

find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{_name}

%files -n libpurple-plugin-%{_name}
%defattr(-,root,root)
# FIXME: COPYING is not shipped as it is wrong (about GPLv3+, added by autotools)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/purple-2/%{_name}.so

%files -n libpurple-plugin-%{_name}-lang -f %{_name}.lang
%defattr(-,root,root)

%changelog
* Mon Dec 26 2016 sor.alexei@meowr.ru
- Rename the source package to purple-bot-sentry.
- Rename the 'no' locale to 'nb_NO' only on SLE 11.
- Spec cleanup.
* Thu Jan 19 2012 vuntz@opensuse.org
- Add a comment about the fact that the COPYING file in the tarball
  most likely wrongfully states the program is GPL-3.0(+): the code
  is GPL-2.0+ and this COPYING file seems to come from autotools
  magic, and not from the author. Fix bnc#741048.
* Thu Jan 12 2012 vuntz@opensuse.org
- Cleanup for Factory:
  + Rename source package from pidgin-bot-sentry to bot-sentry,
    following upstream name.
  + Create a libpurple-plugin-bot-sentry binary package for the
    plugin.
  + Add appropriate Provides/Obsoletes for smooth migration.
  + Do not use a patch and autoreconf call to rename a translation,
    just move the files in %%install.
* Sat Dec  3 2011 lazy.kent@opensuse.org
- Build requires libtool.
- Requires pidgin.
- Build doesn't require fdupes.
- Corrected License tag
- Use full URL as a source.
- Removed check for obsolete versions of openSUSE.
- Doesn't require lang_package (recommends).
- Spec clean up.
* Sat Sep 24 2011 andreas.stieger@gmx.de
- remove dependency on licenses, package no longer in Factory
* Thu Jun 11 2009 puzel@suse.cz
- fix build
* Mon Sep 15 2008 sbrabec@suse.cz
- Removed superfluous --libdir.
* Thu Sep  4 2008 sbrabec@suse.cz
- Updated to version 1.3.0:
  * smart handling of auth requests.
  * partial disabling of challenge by keeping setup blank
  * translation updates
  * UI improvements
  * better support for the latest pidgin
* Wed Oct 24 2007 sbrabec@suse.cz
- Do not call (too old) autoconf in older SuSE versions.
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Thu Jul 26 2007 sbrabec@suse.cz
- Package renamed to pidgin-bot-sentry (bot-sentry in upstream).
- Updated to version 1.1.0:
  * adds support for enabling/disabling for individual accounts
  * bug fixes, improvements and translation updates
* Mon May 28 2007 sbrabec@suse.cz
- Package renamed to pidgin-bs and updated to version 1.0.0:
  * Support for pidgin.
  * Automatically change any conflicting settings found in the
    Psychic plugin.
* Tue Dec 26 2006 maw@suse.de
- Move to /usr.
* Mon Sep  4 2006 sbrabec@suse.cz
- New SuSE package, version 0.10.0 (#183858).
